tigase.jaxmpp.core.client.xml

## Class ElementBuilder

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementBuilder

-     public class ElementBuilder
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementBuilder` | `addChild(Element element)`
    `ElementBuilder` | `child(String name)`
    `static ElementBuilder` | `create(String name)`
    `static ElementBuilder` | `create(String name, String xmlns)`
    `Element` | `getElement()`
    `ElementBuilder` | `setAttribute(String key, String value)`
    `ElementBuilder` | `setAttributes(Map<String,String> attrs)`
    `ElementBuilder` | `setValue(String value)`
    `ElementBuilder` | `setXMLNS(String xmlns)`
    `ElementBuilder` | `up()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static final ElementBuilder create(String name)
                                             throws XMLException

      Throws:
        `XMLException`

    - #### create

          public static final ElementBuilder create(String name,
                                                    String xmlns)
                                             throws XMLException

      Throws:
        `XMLException`

    - #### child

          public ElementBuilder child(String name)
                               throws XMLException

      Throws:
        `XMLException`

    - #### addChild

          public ElementBuilder addChild(Element element)
                                  throws XMLException

      Throws:
        `XMLException`

    - #### getElement

          public Element getElement()

    - #### setAttribute

          public ElementBuilder setAttribute(String key,
                                             String value)
                                      throws XMLException

      Throws:
        `XMLException`

    - #### setAttributes

          public ElementBuilder setAttributes(Map<String,String> attrs)
                                       throws XMLException

      Throws:
        `XMLException`

    - #### setValue

          public ElementBuilder setValue(String value)
                                  throws XMLException

      Throws:
        `XMLException`

    - #### setXMLNS

          public ElementBuilder setXMLNS(String xmlns)
                                  throws XMLException

      Throws:
        `XMLException`

    - #### up

          public ElementBuilder up()
                            throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2023 Tigase. All rights reserved.